Package com.io7m.waxmill.xml.vm.v1

# Class WXM1LinuxInitRDDevice.Builder

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1LinuxInitRDDevice.Builder

Enclosing class:
  WXM1LinuxInitRDDevice

    public static final class WXM1LinuxInitRDDevice.Builder
    extends java.lang.Object

Builds instances of type `WXM1LinuxInitRDDevice`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXM1LinuxInitRDDevice` | `build()` | Builds a new `WXM1LinuxInitRDDevice`.
  `WXM1LinuxInitRDDevice.Builder` | `from​(WXM1LinuxInitRDDeviceType instance)` | Fill a builder with attribute values from the provided `WXM1LinuxInitRDDeviceType` instance.
  `WXM1LinuxInitRDDevice.Builder` | `setDeviceSlot​(WXMDeviceSlot deviceSlot)` | Initializes the value for the `deviceSlot` attribute.
  `WXM1LinuxInitRDDevice.Builder` | `setInitRDPath​(java.nio.file.Path initRDPath)` | Initializes the value for the `initRDPath` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXM1LinuxInitRDDevice.Builder from​(WXM1LinuxInitRDDeviceType instance)
    Fill a builder with attribute values from the provided `WXM1LinuxInitRDDeviceType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDeviceSlot

    public final WXM1LinuxInitRDDevice.Builder setDeviceSlot​(WXMDeviceSlot deviceSlot)
    Initializes the value for the `deviceSlot` attribute.
    Parameters:
      `deviceSlot` - The value for deviceSlot
    Returns:
      `this` builder for use in a chained invocation

  - ### setInitRDPath

    public final WXM1LinuxInitRDDevice.Builder setInitRDPath​(java.nio.file.Path initRDPath)
    Initializes the value for the `initRDPath` attribute.
    Parameters:
      `initRDPath` - The value for initRDPath
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXM1LinuxInitRDDevice build()
    Builds a new `WXM1LinuxInitRDDevice`.
    Returns:
      An immutable instance of WXM1LinuxInitRDDevice
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing